Last Comment Bug 180239 - Manual "Run selected filter(s)" doesn't work when multiple filters are selected.
: Manual "Run selected filter(s)" doesn't work when multiple filters are selected.
Status: RESOLVED FIXED
: fixed-seamonkey1.1.2, fixed1.8.1.2, verified1.8.1.3
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- normal with 6 votes (vote)
: ---
Assigned To: Karsten Düsterloh
:
Mentors:
: 276556 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-14 17:16 PST by Bob Lockie
Modified: 2008-07-31 04:30 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix index handling (3.30 KB, patch)
2007-02-19 12:24 PST, Karsten Düsterloh
mozilla: review+
mozilla: superreview+
mscott: approval‑thunderbird2+
Details | Diff | Splinter Review

Description Bob Lockie 2002-11-14 17:16:44 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021112
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021112

When all filters are selected and as folder is selected then filters can not be
manually run.


Reproducible: Always

Steps to Reproduce:
1. Open mail.
2. Select the "Tools/Message Filters" menu.
3. Highlight all filters with shift-click.
4. Select the "Sent" folder from the "Manually run selected filter(s) on
folder:" dropdown list.
5. Select the "Run Now" button.

Actual Results:  
No messages are filtered.

Expected Results:  
All filters should run.
Comment 1 Hugues Fournier (french l10n team) 2002-12-06 05:01:55 PST
I confirm this bug, occuring when several filters are selected to launch a
manual filtering.
Comment 2 laurel 2003-01-15 12:33:42 PST
You can use the menu item Tools|Run Filters on Selected Folder to accomplish this.
Comment 3 Juergen 2003-03-30 04:28:07 PST
'Tools|Run Filters on Selected Folder' works for 'All Filters' but when I 
select only a few filters (and not all) I have the same problem (no messages 
are filtered) and I can't find a workaround for this problem.
Comment 4 (not reading, please use seth@sspitzer.org instead) 2003-05-08 09:31:34 PDT
mass re-assign.
Comment 5 Mike Cowperthwaite 2003-11-25 09:49:44 PST
I just tried to replicate this problem with 1.6b and found that, with two 
filters selected, one was run (on the Sent box).  Running each filter 
individually worked.
Comment 6 Greg Cook 2004-03-19 04:00:58 PST
I'm using 1.7 Beta and have the following issues with Message Filters:

- Running Tools->"Run Filters on Folder" has no effect on any of my folders
- Running Message Filters->Select one filter then "Run Now" has not effect on 
the folder
- Running Message Filters->Select multiple filters then "Run Now" has not 
effect on the folder

However, When mail is uploaded from IMAP the filters are run successfully on 
the InBox.
Comment 7 Miguel 2004-08-30 07:53:22 PDT
It isn't neccesssary to select several filters, with Mozilla 1.7.2, the bugs are
what Greg commented in comment #6 (I add the bug number that have been entered
for those problems)

- Running Tools->"Run Filters on Folder" has no effect on any of my folders (bug
#253368)
- Running Message Filters->Select one filter then "Run Now" has not effect on 
the folder (bug #252041)
- Running Message Filters->Select multiple filters then "Run Now" has not 
effect on the folder
- No filtered subfolders (bug #257415)

So, with all these problems with filters and IMAP, has somebody at Mozilla had a
look at them? ;-)
Comment 8 Mike Cowperthwaite 2004-08-30 10:07:45 PDT
Michael, this problem is not IMAP-specific, and it is in fact about having 
multiple filters selected and "Run now."  Still a problem with POP in 1.7.2, 
I just checked.

Greg Cook, you might look at the bugs Michael referred to in comment 7.
Comment 9 Mike Cowperthwaite 2004-12-06 15:05:33 PST
Tweaking text in summary to match the dialog.
Comment 10 Alex Robinson 2006-01-23 11:46:56 PST
This was mistakenly posted to bug 201244. There seem to be other reports relavent to this bug, 180239, posted under bug 201244.


Under XP, Thunderbird 1.5.

By hand, I moved a single email from a Local Folders folder named
"!Spam_Delete" to the filters' account's Inbox.

The first two filters in the rules check whether the header,
"X-tagged-for-folder" is "!Spam" or "!Spam_Delete", respectively. The filters
move the email to the Local Folders folder of that name. Here is a copy of the
top of the msgFilterRules.dat file:

version="8"
logging="no"
name="Spam"
enabled="yes"
type="1"
action="Move to folder"
actionValue="mailbox://nobody@Local%20Folders/%21Spam"
condition="OR (\"X-tagged-for-folder\",is,!Spam)"
name="Spam_Delete"
enabled="yes"
type="1"
action="Move to folder"
actionValue="mailbox://nobody@Local%20Folders/%21Spam_Delete"
condition="OR (\"X-tagged-for-folder\",is,!Spam_Delete)"

The email had the header, "X-tagged-for-folder: !Spam_Delete" and had been
properly routed when it came in (from a POP3 server on localhost).

I selected these first two rules and ran them on the Inbox. Nothing happened.
Then I selected the second rule and ran it. The email was moved to the proper
folder.
Comment 11 Karsten Düsterloh 2007-02-19 12:14:33 PST
*** Bug 276556 has been marked as a duplicate of this bug. ***
Comment 12 Karsten Düsterloh 2007-02-19 12:24:12 PST
Created attachment 255714 [details] [diff] [review]
fix index handling

This is so sad. For about 5 years nobody can't even have looked into the code, since the actual bug is just so obvious... :(
Comment 13 David :Bienvenu 2007-02-19 16:14:00 PST
Comment on attachment 255714 [details] [diff] [review]
fix index handling

thx, karsten!
Comment 14 Karsten Düsterloh 2007-02-20 15:06:29 PST
Landed on trunk.
Comment 15 Karsten Düsterloh 2007-02-25 14:18:28 PST
Landed on MOZILLA_1_8_BRANCH.
Comment 16 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-04-04 14:18:37 PDT
verified fixed 1.8.1.3 using Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.3) Gecko/20070326 Thunderbird/2.0.0.0 Mnenhy/0.7.5.0 ID:2007032620, tested with 2 of my test accounts and filters 
Comment 17 n/a 2007-04-10 03:17:21 PDT
Tested with 2.0.0.0 (20070326) (rc1) - still does not work.

Note You need to log in before you can comment on or make changes to this bug.